Package org.eclipse.mat.hprof.ui

# Class HprofPreferences

java.lang.Object
org.eclipse.mat.hprof.ui.HprofPreferences

public class HprofPreferences extends Object
Constant definitions for plug-in preferences

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`HprofPreferences.HprofStrictness`
Enumeration for the parser strictness.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ADDITIONAL_CLASS_REFERENCES`
Additional references for classes
`static final HprofPreferences.HprofStrictness`
`DEFAULT_STRICTNESS`
Default strictness for preferences and value parsing
`static final String`
`FRAMES_ONLY`
`static final String`
`NO_METHODS_AS_CLASSES`
`static final String`
`P_METHODS`
Whether to treat stack frames as pseudo-objects and methods as pseudo-classes
`static final String`
`RUNNING_METHODS_AS_CLASSES`
`static final String`
`STRICTNESS_PREF`
Strictness of the HPROF parser

## Constructor Summary

Constructors
Constructor
Description
`HprofPreferences()`

## Method Summary

Modifier and Type
Method
Description
`static HprofPreferences.HprofStrictness`
`getCurrentStrictness()`
Return the currently selected preference for strictness.
`static String`
`methodsAsClasses()`
Preference for whether pseudo-objects should be created for stack frames and methods.
`static boolean`
`useAdditionalClassReferences()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### STRICTNESS_PREF

public static final String STRICTNESS_PREF
Strictness of the HPROF parser

See Also:
  - Constant Field Values

### DEFAULT_STRICTNESS

public static final HprofPreferences.HprofStrictness DEFAULT_STRICTNESS
Default strictness for preferences and value parsing

### ADDITIONAL_CLASS_REFERENCES

public static final String ADDITIONAL_CLASS_REFERENCES
Additional references for classes

See Also:
  - Constant Field Values

### P_METHODS

public static final String P_METHODS
Whether to treat stack frames as pseudo-objects and methods as pseudo-classes

See Also:
  - Constant Field Values

### NO_METHODS_AS_CLASSES

public static final String NO_METHODS_AS_CLASSES

See Also:
  - Constant Field Values

### RUNNING_METHODS_AS_CLASSES

public static final String RUNNING_METHODS_AS_CLASSES

See Also:
  - Constant Field Values

### FRAMES_ONLY

public static final String FRAMES_ONLY

See Also:
  - Constant Field Values

## Constructor Details

### HprofPreferences

public HprofPreferences()

## Method Details

### getCurrentStrictness

public static HprofPreferences.HprofStrictness getCurrentStrictness()
Return the currently selected preference for strictness. This first checks the preference store, and then checks for any -D$(STRICTNESS)=true command line arguments.

Returns:
  Current strictness preference or reflection of command line setting.

### useAdditionalClassReferences

public static boolean useAdditionalClassReferences()

### methodsAsClasses

public static String methodsAsClasses()
Preference for whether pseudo-objects should be created for stack frames and methods.